package fxHiihtorekisteri;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.MenuItem;
import javafx.scene.control.TextField;


/**
 * @author JPo ja MHo
 * @version 13.1.2020
 * 
 */
public class HiihtorekisteriGUIController {

    @FXML
    private TextField Hakukentta;
    
    @FXML
    private Button nappiLisaaHiihto;

    @FXML
    private Button nappiMuokkaa;

    @FXML
    private Button nappiTulosta;
    
    @FXML
    private MenuItem ylanappiTallenna;

    @FXML
    private MenuItem ylanappiTulosta;

    @FXML
    private MenuItem ylanappiLisaaHiihtaja;

    @FXML
    private MenuItem ylanappiPoistaHiihtaja;

    @FXML
    private MenuItem ylanappiLopeta;
    
    @FXML
    private MenuItem ylanappiKayttoOhje;

    @FXML
    private MenuItem ylanappiTietoja;

    @FXML
    void handleHaku() {
        //
    }
    
    @FXML
    void handleLisaaHiihto() {
        ModalController.showModal(HiihtorekisteriGUIController.class.getResource("LisaaHiihto.fxml"), "Hiihto", null, "");
    }
    
    @FXML
    void handleMuokkaa() {
        ModalController.showModal(HiihtorekisteriGUIController.class.getResource("Muokkaa.fxml"), "Hiihtaja", null, "");
    }

    @FXML
    void handleTulosta() {
        ModalController.showModal(HiihtorekisteriGUIController.class.getResource("Tulosta.fxml"), "Tulosta", null, "");
    }
    
    @FXML
    void handleLisaaHiihtaja() {
        ModalController.showModal(HiihtorekisteriGUIController.class.getResource("LisaaHiihtaja.fxml"), "Hiihtaja", null, "");
    }
    
    @FXML
    void handlePoistaHiihtaja() {
        Dialogs.showMessageDialog("Poisto ei vielä toimi");
    }

    @FXML
    void handleTallenna() {
        Dialogs.showMessageDialog("Tallennus ei toimi vielä");
    }
    
    @FXML
    void handleLopeta() {
        Dialogs.showMessageDialog("Tallentaa tiedot ja lopettaa ohjelman. Tallennus ei toimi vielä.");
    }
    
    @FXML
    void handleKayttoOhje() {
        ModalController.showModal(HiihtorekisteriGUIController.class.getResource("Ohje.fxml"), "Ohje", null, "");
    }
    
    @FXML
    void handleTietoja() {
        ModalController.showModal(HiihtorekisteriGUIController.class.getResource("Tietoja.fxml"), "Tietoja", null, "");
    }
}